%define upstream_name    Email-Sender
%define upstream_version 0.120002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An SMTP client that stays online
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.80.0
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Email::Abstract) >= 3.0.0
BuildRequires: perl(Email::Address)
BuildRequires: perl(Email::Simple) >= 1.998.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose) >= 0.700.0
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Throwable::Error) >= 0.100.90
BuildRequires: perl(Try::Tiny)
BuildRequires: perl-Capture-Tiny >= 0.80
BuildArch:  noarch

Requires:   perl(Throwable::Error)
%description
An Email::Sender::Success object is just an indicator that an email message
was successfully sent. Unless extended, it has no properties of its own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.120.2-2.mga3
+ Revision: 366845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.120.2-1.mga3
+ Revision: 294986
- update to 0.120002

* Fri Aug 31 2012 kharec <kharec> 0.120.1-1.mga3
+ Revision: 286153
- update to 0.120001

* Tue Mar 06 2012 jquelin <jquelin> 0.110.5-1.mga2
+ Revision: 219929
- update to 0.110005

* Thu Feb 23 2012 jquelin <jquelin> 0.110.4-1.mga2
+ Revision: 212843
- update to 0.110004

* Thu Apr 07 2011 jquelin <jquelin> 0.110.1-1.mga1
+ Revision: 81762
- update to 0.110001

* Fri Mar 18 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 74120
- update to 0.110000

* Sun Jan 23 2011 jquelin <jquelin> 0.102.370-2.mga1
+ Revision: 33745
- mageia rebuild
- imported package perl-Email-Sender

